<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>
<br>
<br>
<div align="center"><strong><font face="Verdana" size="2" color="#FF0000">Pesquisa Sócio Econômica</font></strong><br>
<br>
<br>

<a href="pesquisa.php?acao=1"><font face="Verdana" size="2" color="#000000">Processar banco de dados ( Importar para texto )</font></a>
<br>
<a href="pesquisa.php?acao=2"><font face="Verdana" size="2" color="#000000">Efetuar Download do arquivo gerado</font></a></div>

<?
if (!isset($acao)) {
	exit;
}
if ($acao == 1) {
?>
<br>
<br>
<strong><div align="center"><font face="Verdana" size="2" color="#FF0000"><strong>Arquivo inportado com sucesso, clique em "Efetuar Download do arquivo gerado" para salvar o arquivo em seu computador.</strong></font></div></strong>
<body>
<?

	$sql = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' order by codigo ASC";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	$num = mysql_num_rows($result);
	$nome_arquivo = date("d") . date("m") . date("Y") . date("H") . date("i") .  date("s") . '.txt';
	$path_arquivo = '/wwwroot/GAB_VEST_FUNEC';
	$arq_aberto = fopen("$path_arquivo/$nome_arquivo", "w");
	while($info = mysql_fetch_array($result)) {
		$matricula = $info["codigo"];
		$respostas = $info["socio_economico"];
		$entregue = $info["entregue"];
		if ($entregue == 'yes') {
			$dados_pesq = $matricula . ',' . $respostas;
			fwrite($arq_aberto,$dados_pesq . "\n",1024);
		}
	}
	fclose($arq_aberto);
	$data_arquivo = date("d") . '/' . date("m") . '/' . date("Y") . '-' . date("H") . ':' . date("i") . ':' . date("s");
	$sql = "insert into aux_pesquisa (nome_arquivo, data, codigo_vest) Values ('$nome_arquivo', '$data_arquivo','$qual_vestibular')";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
}
if ($acao == 2) {
// Listando arquivos
	$sql = "SELECT * FROM aux_pesquisa order by codigo ASC";
	$result = mysql_query($sql)
		or die ( 'Não foi possível executar a query 161.' );
	echo '<br><br>';
	echo '<table width="80%" border="1" cellspacing="0" cellpadding="0" align="center">';
	echo '<tr>';
	echo '<td width="30%" align="center"><font face="Verdana" size="2" color="#000000"><strong>Arquivo </strong></font></td>';
	echo '<td width="30%" align="center"><font face="Verdana" size="2" color="#000000"><strong>Data </strong></font></td>';
	echo '<td width="40%" align="center"><font face="Verdana" size="2" color="#000000"><strong>Processo Seletivo</strong></font></td>';
	echo '</tr>';
	$cor = 'e1e1e1';
	while($info = mysql_fetch_array($result)) {
	echo '<tr>';
	echo '<td width="30%" bgcolor="'.$cor.'"><a href="download.php?arquivo='. $info["nome_arquivo"].'"><font face="Verdana" size="2" color="#000000" bgcolor="'.$cor.'"><strong>'. $info["nome_arquivo"].'</font></a></td>';
	echo '<td width="30%" bgcolor="'.$cor.'"><font face="Verdana" size="2" color="#000000"><strong>'.$info["data"].'</strong></font></td>';
	echo '<td width="40%" bgcolor="'.$cor.'"><font face="Verdana" size="2" color="#000000"><strong>';
			$temp_aux = $info["codigo_vest"];
			$sql_vest = "SELECT * FROM vestibulares where codigo = $temp_aux order by codigo ASC";
			$result_vest = mysql_query($sql_vest)
				or die ( 'Não foi possível executar a query 161.' );
			while($info_vest = mysql_fetch_array($result_vest)) {
				echo $info_vest["vestibular"];
			}
		echo '</strong></font></td>';
	echo '</tr>';
	if ($cor == 'e1e1e1')
		$cor = 'ffffff';
	else
		$cor = 'e1e1e1';
	}
echo '</table>';
}
?>

</body>
</html>
